<!-- Docs at https://developer.mozilla.org/en-US/docs/Learn/Forms         -->
<!-- https://developer.mozilla.org/en-US/docs/Learn/Forms/Your_first_form -->

<!-- 
    Manuel de la Fuente
    1º de DAM

    Realizar un formulario como el de la captura pero añadiéndole más controles html5, como por ejemplo: rango, optgroup etc...
 -->

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="./css/styles.css">
    <title>Document</title>
</head>
<body>
    <h1>Formularios</h1>

    <form action="./path/al/archivo.php" method="post">

        <!-- Datos Personales -->
        <fieldset>

            <legend>Datos Personales</legend>

            <!-- Nombre -->
            <label for="name">Nombre*</label>
            <input type="text" name="nombre" id="name" placeholder="Tu nombre" required>

            <!-- Apellido -->
            <br>
            <label for="surname">Apellido</label>
            <input type="text" name="apellido" id="surname" placeholder="Tus dos apellidos">

            <!-- Edad -->
            <br>
            <label for="age">Edad</label>
            <input type="number" name="edad" id="age">

            <!-- Sexo -->
            <br>
            <label for="sex">Sexo</label>
                <!-- Mujer -->
                <input type="radio" name="sexo" id="female" value="mujer">
                <label for="female">Mujer</label>
                <!-- Hombre -->
                <input type="radio" name="sexo" id="male" value="hombre">
                <label for="male">Hombre</label>

        </fieldset>


        <!-- Datos de Contacto -->
        <fieldset>

            <legend>Datos de Contacto</legend>

            <!-- Email -->
            <label for="email">Email*</label>
            <input type="text" name="email" id="email" required>

            <!-- Dirección -->
            <br>
            <label for="street">Dirección</label>
            <input type="text" name="direccion" id="street" placeholder="Calle, nº, ciudad, Provincia">

            <!-- Código Postal -->
            <br>
            <label for="postal_code">Código Postal</label>
            <input type="number" name="codigo_postal" id="postal_code">

            <!-- Ciudad -->
            <br>
            <label for="city">Ciudad</label>
            <input type="text" name="ciudad" id="city" placeholder="Madrid">

        </fieldset>

            
        <!-- Datos de Reserva -->
        <fieldset>
            <legend>Datos de Reserva</legend>

            <label for="date">Fecha</label>
            <input type="date" name="fecha" id="date">

            <label for="time">Hora</label>
            <input type="time" name="hora" id="time">
        </fieldset>


        <!-- Varios -->
        <fieldset>
            <legend>Varios</legend>

            <label for="photos"></label>
            <input type="file" name="fotos" id="photos">

            <label for="color">Color</label>
            <input type="color" name="color" id="color">

            <br>
            <label for="suggestions">Sugerencias</label>
            <br>
            <textarea name="sugerencias" id="suggestions" cols="30" rows="10"></textarea>

        </fieldset>


        <!-- Botones -->
        <hr>
        <fieldset>
            <input type="submit" value="Mandar datos">
            <input type="reset" value="Borrar datos">
            <input type="button" disabled value="Yo no hago nada">
        </fieldset>

    </form>
</body>
</html>